Subject: Re: 28.0.50; regression in commit c7c154bb, minibuffer is not closed after opening a file

From: Platon Pronko <[email-masked]>
Date: Sun, 17 Jan 2021 10:50:32 +0300

Hi!

I'm terribly sorry, apparently I wasted a lot of your time.

I tested (minibufferp) refactoring again and it seems that when I
did that for the previous email I messed something up. When I ran the code today
the issue went away.

Original reason for " *Minibuf-0*" test in dvorak-minor-mode was to
stop emacs --daemon from hanging on startup. (now that you explained about
quail-minibuffer-message and sit-for, I assume that's was the reason why that was happening)

But the buffer that was triggering the current issue is called " *Minibuf-1*", so it
passes the test and activate-input-method is called.

I had no idea that activate-input-method was dangerous when called in
global minor modes, but that's probably just the way it is.

Again, terribly sorry for wasting your time on what turned out to be
a configuration issue.

> Just as a matter of interest, you can write that more easily as
> ./src/emacs -Q -l ~/.emacs.d/init.el.

Thanks, that's a useful shortcut!

Best regards,
Platon Pronko